
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>异常 定位-抛出异常时怎么定位到抛出异常的那一行代码？ / iVAN</title>

    <meta name="description" content="异常 定位-抛出异常时怎么定位到抛出异常的那一行代码？ 问题描述 抛出异常时怎么定位到抛出异常的那一行代码? 问个比较低级的问题:就抛出异常的时候怎么能得到具体是哪一行代码抛出的? 解决方案 我还正想问怎么把自己的解决办法贴上来呢.我那个问题类似一般就可以用ex.StackTrace()显示问题和定位出问题的方法和行号,但是我的问题还有点特殊,用了这个方法并不能定位到哪一行,只是定位到了出问题的方法.因此StackTrace只是一般的方法 解决方案二: c语言:用宏函数__LINE__;C++/JAVA:如果是自定义异常,Thow MyExcepti">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">异常 定位-抛出异常时怎么定位到抛出异常的那一行代码？</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<h1>问题描述</h1>
<dl>
<dt>抛出异常时怎么定位到抛出异常的那一行代码？        </dt>
<dd>问个比较低级的问题：就抛出异常的时候怎么能得到具体是哪一行代码抛出的？</p>
</dd>
</dl>
<h1>解决方案</h1>
<p>我还正想问怎么把自己的解决办法贴上来呢。我那个问题类似一般就可以用ex.StackTrace()显示问题和定位出问题的方法和行号，但是我的问题还有点特殊，用了这个方法并不能定位到哪一行，只是定位到了出问题的方法。因此StackTrace只是一般的方法</p>
<p>解决方案二：    <br />c语言：用宏函数__LINE__;<br />C++/JAVA:如果是自定义异常，Thow MyException在MyException类中包含行号，<br />catch到异常后输出。<br />至于，如何活得行号应该都有办法，C++同C语言使用__LINE__java自己差下把。</p>
<p>解决方案三：    <br />exception.getCause().toString()</p>
<p>解决方案四：    <br />e.printStackTrace()</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-16 21:22:54</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e5%bc%82%e5%b8%b8-%e5%ae%9a%e4%bd%8d/" title="异常 定位">异常 定位</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>异常 定位-抛出异常时怎么定位到抛出异常的那一行代码？的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/xp8G6oM.html" rel="bookmark">throws-Java抛出异常时用e&period;printStackTrace&lpar;&rpar;怎么会说没有返回值呢？</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 Java抛出异常时用e.printStackTrace()怎么会说没有返回值呢? public Socket getSocket() { try { Socket socket =new Socket(&quot;localhost&quot;,8088); return socket; } catch (Exception e) { // TODO Auto-generated catch block e.printStackTrace(); } } 这里要报错,没有返回值 public So			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zGj30Op.html" rel="bookmark">技巧：当不能抛出异常时</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				checked 异常的一个问题是,有时候不允许抛出这样的异常.特别是,如果要覆盖超类中声明的方法,或者实现接口中声明的方法,而那个方法没有声明任何 checked 异常,那么新的实现也不能声明 checked 异常.因此必须预先处理异常.另外,可以将异常转换为运行时异常,或者绕过它而不处理它.但是,应该这样做吗,这其中是否隐藏着错误? 问题 只要看一个例子,问题就清楚了.假设有一个 File 对象的 List,需要按它们的标准路径以字典顺序排序.所谓标准路径,是指在解析别名.符号链接和 /../			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pXwL4LM.html" rel="bookmark">图片-vs2010软件在调试时无法定位程序输入点</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 vs2010软件在调试时无法定位程序输入点 5C 解决方案 图片打不开了,你的程序是exe还是dll,dll要指定加载进程exe 解决方案二: 看下是不是bug模式 解决方案三: 看看启动项目 是不是当前项目			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/ze6D77b.html" rel="bookmark">android 用高德地图开发进行导航时，定位位置一直显示不动，不会跟着位置改变而改变</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 android 用高德地图开发进行导航时,定位位置一直显示不动,不会跟着位置改变而改变 用高德地图开发导航时,实际位置虽然改变了,但是地图上的定位按钮始终不动,,无法正常导航 解决方案 导航需要开启gps,并且需要在屋外才可以. 解决方案二: 你不动我不动 中国移动我不动 解决方案三: 权限要确认没有问题,没看代码也不知道你的问题,不过开发平台的文档还是很全面细致的,仔细看看是不是哪儿没做对或少做了			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pPP62Ap.html" rel="bookmark">java-关于Java抛出异常时，运行结果不确定的问题</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 关于Java抛出异常时,运行结果不确定的问题 main函数代码如下: public static void main(String[]agrs)throws Exception { System.out.println(1); throw new Exception(); }不断重复运行,输出结果有两种:第一种(我认为是符合预期的结果)-- ------------------------------------------1Exception in thread &quot;&quot;mai			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M1l5P3b.html" rel="bookmark">win32  messagebox 弹出时如何定位在主窗口中心</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 win32 messagebox 弹出时如何定位在主窗口中心 如题..win32 messagebox 弹出时如何定位在主窗口中心 解决方案 https://msdn.microsoft.com/zh-cn/library/windows/apps/xaml/ms645511https://msdn.microsoft.com/zh-cn/library/windows/apps/xaml/ms645402因为整个窗口过程你都有了,所以不但可以自定义位置,甚至可以增加任意的功能,比如添			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MyekoPM.html" rel="bookmark">flv-求助   关于jwplayer 播放FLV格式视频时seek定位</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 求助 关于jwplayer 播放FLV格式视频时seek定位 通过seek定位控制的时候,MP4格式的视频就没问题,flv格式的基本都会存在几秒的误差, 不知道这个问题应该怎么解决 解决方案 flv格式视频播放在网页中插入FLV格式的视频在本地预览中能播放,上传到服务器就不能播放.net 网站 播放flv格式视频			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MN77o7p.html" rel="bookmark">机房定位漏水与非定位漏水的区别？</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				前言 随着我国邮电.金融系统在机房管理上的日趋完善,无人值守集中监控系统得到了广泛应用,实现了对各种环境设备.动力设施的绿色控制,各种设备得到合理.有效地应用,其中泄漏检测也逐渐成为监控系统中必不可少的组成部分.无人值守机房是集数据采集.故障报警.设备控制等为一体的集中监控系统.高综合性.高使用效率就要求监控系统对所有可能发生的故障作好防范应急措施.漏水事故的检测报警就是其中重要的一项内容.而在大型的机房中,监测漏水的点会有很多,这时候怎样快死定位漏水的位置并作出及时有效的处理就变得极为重要了.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bQYJDGb.html" rel="bookmark">Android填坑系列：在小米系列等机型上放开定位权限后的定位请求弹框示例&lowbar;Android</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				背景 近期因实际项目需要,在特定操作下触发定位请求,取到用户位置及附近位置. 问题: 经初步选型,最终决定接入百度定位,按照百度定位SDK Android文档,接入过程相对顺利. 但随后发现,在小米系列等部分机型上,进入app后会出现&quot;正在尝试 通过网络或者卫星对您的手机进行定位&quot;. 很影响用户体验. 解决过程: 1.Flurry的小坑 项目中引入了数个第三方SDK,主要包括Flurry,友盟,个推,百度定位SDK等.在App启动初始化及进入到首页的执行流中,主要涉及到Flurry,友			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OM9NL4p.html" rel="bookmark" class="title">使用&period;NET自带的功能制作简单的注册码</a>
					<div>
						加密可以帮助保护数据不被查看和修改,并且可以帮助在本不安全的信道上提供安全的通信方式.例如,可以使用加密算法对数据进行加密,在加密状态下传输数据,然后由预定的接收方对数据进行解密.如果第三方截获了加密 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/LpdXEmp.html" rel="bookmark" class="title">通过JavaScript或PHP检测Android设备</a>
					<div>
						随着乔布斯的回归,iPad2的发布,看来移动端的开发话题越来越火热了.在此列出一些能够在iOS的最大竞争者--安卓(Android)系统的检测方法. JavaScript判断方法 搜索user age ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OMgqPOz.html" rel="bookmark" class="title">PHP include</a>
					<div>
						1.include_path的意义 当时候函数include(),require(),fopen_with_path()函数来寻找文件时候.在不设置include_path的情况下,这些函数打开文件时 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/5zOE83M.html" rel="bookmark" class="title">得用户体验者方能稳排名</a>
					<div>
						前言:得用户体验者方能稳排名!其实这句话,在每天看A5文章的大家也已应该深有体会了吧.对于那些没有多大实质性的内容,A5的编辑是不会允许通过的,笔者最近也投稿很多篇文章也是未能通过,其实对于投稿来说, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/LzJNlvz.html" rel="bookmark" class="title">Destructors in C&num;</a>
					<div>
						Destructors in C# By Ansil Introduction In the enterprise application development world, the buzzwor ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bo6Jq6z.html" rel="bookmark" class="title">sqlserver2005&lpar;Express版&rpar;的配置</a>
					<div>
						sqlserver2005现在的版本比较多,有express 版的,有企业开发版等,我目前用的express版的,占用系统资源还是很少的,不象网上所说的,一运行开发版,就吃掉400多M内存,对于我们绝 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvK6L9p.html" rel="bookmark" class="title">共享一劳永逸的数据库编码解决方案</a>
					<div>
						问题提出 现在几乎所有的应用系统都无法避免使用数据库系统.在JAVA世界里访问数据库是一件非常轻松的事情,JDBC为JAVA应用程序访问数据库提供了一个统一的接口,通过使用JDBC接口开发者无需关心系 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgKe0OM.html" rel="bookmark" class="title">升级到SQL Server 2008的详解步骤</a>
					<div>
						目前SQL SERVER 2008对于本地安装,必须以管理员身份运行安装程序.如果从远程共享安装 SQL Server,则必须使用对远程共享具有读取和执行权限的域帐户. 升级数据库引擎之前,请先查看以 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M91G6VM.html" rel="bookmark" class="title">QQ输入法手机版如何使用气泡提示</a>
					<div>
						  手机QQ输入法使用气泡提示的方法如下: 当勾选了设置菜单中的&quot;气泡提示&quot;后,即可使用气泡提示的功能(安装后默认是开启的).提示的气泡分为两种,一种是短按输入键时出现的提示气泡, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqLxWZb.html" rel="bookmark" class="title">基于php常用函数总结&lpar;数组&comma;字符串&comma;时间&comma;文件操作&rpar;</a>
					<div>
						数组:[重点1]implode(分隔,arr) 把数组值数据按指定字符连接起来 例如: $arr=array('1','2','3','4'); $str=implode('-',$arr); exp ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze4vOOp.html" rel="bookmark" class="title">JavaScript中操作字符串小结</a>
					<div>
						 最近几次参加前端实习生招聘的笔试,发现很多笔试题都会考到字符串的处理,比方说去哪儿网笔试题.淘宝的笔试题等.如果你经常参加笔试或者也是一个过来人,相信你也跟我一样,发现字符串的处理是前端招聘过程中最 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnYY9ZM.html" rel="bookmark" class="title">win7系统装什么浏览器好用</a>
					<div>
						  一.网页浏览器的话推荐使用谷歌 早在学无忧没有更换win7系统的时候是用的xp系统,那个时候一直是个电脑小白吧,所以用的xp自带的ie浏览器,那个时候用的习惯了觉得还不错.之后在前几个月换成win ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXjwo4b.html" rel="bookmark" class="title">qq浏览器怎么设置兼容模式</a>
					<div>
						  1.首先我们打开QQ浏览器,然后可以看到在QQ浏览器右上角有一个3个条条的&quot;菜单&quot;,我们点击&quot;菜单&quot;. 2.然后我们再下来菜单中选择&quot;工具&quo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXjEJ5b.html" rel="bookmark" class="title">struts 2-求大神看看用struts2为什么不能下载</a>
					<div>
						问题描述 求大神看看用struts2为什么不能下载 JSP &lt;tr&gt; &lt;td colspan=&quot;4&quot; align=&quot;right&quot;&gt;&lt ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9YYGdM.html" rel="bookmark" class="title">《Cacti实战》&mdash;&mdash;2&period;2　安装与配置相关组件和服务</a>
					<div>
						2.2 安装与配置相关组件和服务 &quot;原材料&quot;准备好了,但距离Cacti成功运行还有一步之遥,必须正确.完整地安装配置Cacti所需的环境和服务,本节分为Windows和Linux两 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mxo8qBb.html" rel="bookmark" class="title">jQuery操作DOM元素</a>
					<div>
						原文:jQuery操作DOM元素 jQuery操作DOM元素 HTML DOM常见操作: 查找节点,插入节点,删除节点,复制节点,替换节点,包裹节点.   查找节点 关于节点的查找,是利用选择器完成的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXwJ6yM.html" rel="bookmark" class="title">从CTO到创始人 孙元浩基础软件破局之路</a>
					<div>
						文章讲的是从CTO到创始人 孙元浩基础软件破局之路,本期访谈对象孙元浩,星环科技创始人.3月18日下午,在北京西四环边上的永泰福朋喜来登酒店大堂咖啡吧,我又一次见到了孙元浩,上一次与他的见面还是在去年 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxoK6Rb.html" rel="bookmark" class="title">应用-程序崩溃后，dump分析不到具体原因？</a>
					<div>
						问题描述 程序崩溃后,dump分析不到具体原因? 程序崩溃了,也用windbg抓取了dump文件,但是使用windbg分析后发现找不到问题点. 我用的是c#编写的程序,source code和pdb文 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBZvrOb.html" rel="bookmark" class="title">Bootstrap的select标签在火狐和chrome上的显示效果不一样，怎么统一？</a>
					<div>
						问题描述 Bootstrap的select标签在火狐和chrome上的显示效果不一样,怎么统一? 5C 代码如下 &lt;div class =&quot;&quot;form-group&quot; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxY2QQp.html" rel="bookmark" class="title">阔步向前冲，拥抱云计算</a>
					<div>
						自2010年10月18日工信部和发改委联合印发&lt;关于做好云计算服务创新发展试点示范工作的通知&gt;开始,云计算开始在中华大地上遍地开花,各级地方政府.企业都开始大力投入云计算相关技术.产业.基 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvmxDNb.html" rel="bookmark" class="title">那些老百姓家里离不开的物联网技术</a>
					<div>
						物联网利用局部网络或互联网等通信技术把传感器.控制器.机器.人和物等通过新的方式联在一起,形成人与物.物与物相联,实现信息化.远程管理控制和智能化的网络.通俗地解释,物联网就是&quot;你知道我在哪 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOm8V9M.html" rel="bookmark" class="title">批处理命令 BAT备份MySQL数据库&lowbar;DOS&sol;BAT</a>
					<div>
						工作环境 Windows Server 2003 ,MySQL安装目录 D:\MySQL , WinRAR 安装目录 C:\Program Files\WinRAR\WinRAR.exe 备份数据存储 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boKoJVb.html" rel="bookmark" class="title">动网论坛DVPHP 2&period;0&plus;&plus;正式版发布</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 3月18号,国内知名论坛提供商DV ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlKP7nb.html" rel="bookmark" class="title">刘强东关于企业发展情况及规律有看法（转）</a>
					<div>
						在中欧商学院二十周年校庆特别活动上,面对台下众多慕名而来的狂热&quot;粉丝&quot;们,刘强东真性情流露,点评多家公司. 吐槽苹果:难再火十年 所有的消费电子品牌没有常青树,为什么?因为消费电子 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MY5njrM.html" rel="bookmark" class="title">《操作系统真象还原》&mdash;&mdash;0&period;17 先有的语言，还是先有的编译器，第1个编译器是怎么产生的</a>
					<div>
						0.17 先有的语言,还是先有的编译器,第1个编译器是怎么产生的 首先肯定的是先有的编程语言,哪怕这个语言简单到只有一个符号.先是设计好语言的规则,然后编写能够识别这套规则的编译器,否则若没有语言规则 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1rg8rp.html" rel="bookmark" class="title">IDC：2015年Android市场份额将达到45&percnt;</a>
					<div>
						http://www.aliyun.com/zixun/aggregation/17197.html&quot;&gt;北京时间3月29日晚间消息,IDC预计,2015年Android市场份额将达到4 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjw7D0M.html" rel="bookmark" class="title">C&num;照片批量压缩小工具</a>
					<div>
						原文:C#照片批量压缩小工具 做了一个照片批量压缩工具,其实核心代码几分钟就完成了,但整个小工具做下来还是花了一天的时间.中间遇到了大堆问题,并寻求最好的解决方案予以解决.现在就分享一下这个看似简单的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mgw086M.html" rel="bookmark" class="title">LED灯具遭技术壁垒广东企业面临40亿损失</a>
					<div>
						本报讯 (记者何颖思 通讯员岳志轩)昨日,广东省质监局WTO/TBT中心透露,近日陆续收到了欧盟.美国.智利.乌干达等国关于LED灯具方面的TBT(贸易技术措施)通报.通报法规对进入国的定向灯和LED ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnRZRkp.html" rel="bookmark" class="title">ehcache 详解 实例</a>
					<div>
						1.EhCache是什么     EhCache是Hibernate的二级缓存技术之一,可以把查询出来的数据存储在内存或者磁盘,节省下次同样查询语句再次查询数据库,大幅减轻数据库压力: 2.EhCac ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLg4gLM.html" rel="bookmark" class="title">快递业利润快速下滑，陷入恶性竞争困境</a>
					<div>
						核心提示: 为化解成本压力 ,部分快递企业几乎零利润运营,跟风涨价公司有望增多. 国内民营快递龙头老大顺丰速运终于也抵不住成本上涨压力,8日起,其国内部分区域快件首重上涨1~2元,续重保持不变. 9月 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.022 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
